Update: WoltLab Suite 5.5.13 / 5.4.28

  • We have just released new versions of our products:

    • WoltLab Suite 5.5.13
    • WoltLab Suite 5.4.28

    Stability releases (third part of the version number, also known as “patch releases”) aim to solve existing problems in the current version. Like every stability release, they do not introduce new features. It is strongly recommended to apply these updates.

    How to Apply Updates

    Open your Administration Control Panel and navigate to “Configuration → Packages → List Packages”. Please click on the button “Search for Updates” located in the right corner above the package list.

    Notable Changes

    The list below includes only significant changes, minor fixes or typos are generally left out.

    WoltLab Suite Blog

    • For developers: Blog.Entry.InlineEditor now supports the setOptions event. 5.5

    WoltLab Suite Filebase

    • A display error of the “Recommended” marker in the so-called popover for previewing a file has been fixed. 5.5
    • The content-security-policy added in WoltLab Suite 5.5.5 when downloading files has been adjusted. The previous version apparently blocked parts of the trusted PDF viewer integrated in Safari. 5.5
    • The moderation view for versions now shows the correct author of the version, instead of the author of the file. 5.5

    WoltLab Suite Forum

    • Ignored forum sections and threads are now correctly taken into account when editing posts for sending notifications about mentions and quotes. 5.5
    • The dialog for moving threads/copying posts no longer suggests forums where threads cannot be created (anymore). 5.5

    WoltLab Suite Core

    • The content-security-policy added in WoltLab Suite 5.5.5 when downloading file attachments has been adjusted. The previous version apparently blocked parts of the trusted PDF viewer integrated in Safari. 5.5
    • An HTML syntax error in the pageHeaderUser template has been fixed. 5.5
    • The HTML code of the Instagram media provider was updated. 5.5
    • Fixed an error when permanently blocking avatars, signatures or profile pictures without specifying an automated unblock date. 5.5
    • Several corrections to phrases have been made. Thanks to Aethior for their invaluable feedback. 5.5
    • The workaround for the Safari bug related to the XSRF token cookie from WoltLab Suite 5.5.12 has now been ported (“backported”) to WoltLab Suite 5.4. 5.4
    • For developers: The tslib has been updated. 5.5
  • WoltLab Suite Core 5.4.29

    The 5.4.28 update mistakenly included several files belonging to WoltLab Suite 5.5. This causes some JavaScript components to stop working and also prevents logging in to the administration control panel. The 5.4.29 update fixes these problems and replaces the erroneous files with the correct version.

    In case you are affected by this issue and cannot access the administration control panel:

    1. Edit the file options.inc.php in the installation directory of WoltLab Suite Core.
    2. Find the line containing if (!defined('ENABLE_DEBUG_MODE')) define('ENABLE_DEBUG_MODE', 0);
    3. Change the 0 at the end into a 1, the final result should look like this: if (!defined('ENABLE_DEBUG_MODE')) define('ENABLE_DEBUG_MODE', 1);
    4. If you have made those changes locally, you will need to upload the file to the server again.
    5. You can now access the admin panel and run the update.
    6. Your changes above will be overwritten by the update, you don’t need to make any further changes.

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!